about summary refs log tree commit diff
path: root/tests/linux-sandbox.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2018-01-24T16·17+0100
committerGitHub <noreply@github.com>2018-01-24T16·17+0100
commit98f3c75a0e16f5aaaecb25a46f988580efb04d19 (patch)
treec4046a447b18e8aa73d1f94fab212112d9771253 /tests/linux-sandbox.sh
parent479692a068ce40965067173992392b4f65f410ce (diff)
parent59086e459c2650b7dc42bd2fc4a9a98b23aaf6e7 (diff)
Merge pull request #1797 from dezgeg/userns-tests-fix
Fix tests using user namespaces on kernels that don't have it
Diffstat (limited to 'tests/linux-sandbox.sh')
-rw-r--r--tests/linux-sandbox.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/linux-sandbox.sh b/tests/linux-sandbox.sh
index 4a686bb59a3b..acfd46c54170 100644
--- a/tests/linux-sandbox.sh
+++ b/tests/linux-sandbox.sh
@@ -2,7 +2,7 @@ source common.sh
 
 clearStore
 
-if [[ $(uname) != Linux ]]; then exit; fi
+if ! canUseSandbox; then exit; fi
 
 # Note: we need to bind-mount $SHELL into the chroot. Currently we
 # only support the case where $SHELL is in the Nix store, because